Bug 515144 - Review Request: vifir - A viewer for electronic aviation charts
Summary: Review Request: vifir - A viewer for electronic aviation charts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-02 17:23 UTC by Fabian Affolter
Modified: 2009-08-15 08:28 UTC (History)
3 users (show)

Fixed In Version: 0.4-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 08:09:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2009-08-02 17:23:49 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/vifir.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/vifir-0.4-1.fc11.src.rpm

Project URL: http://vifir.sourceforge.net/

Description:
Vifir processes and displays electronic aviation charts (currenty VFR
Sectional Charts) produced by the U.S. National Aeronautical Charting
Office in a similar way to an Electronic Flight Bag.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1573767

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint vifir-0.4-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint vifir*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Peter Lemenkov 2009-08-03 09:17:16 UTC
I'll review it

Comment 2 Peter Lemenkov 2009-08-03 09:40:52 UTC
REVIEW:

+ rpmlint is silent
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum vifir-0.4.tar.gz*
340db9360c8f3710192fd8b773736e11c992cd3dad855ba848887a15f7d06607  vifir-0.4.tar.gz
340db9360c8f3710192fd8b773736e11c992cd3dad855ba848887a15f7d06607  vifir-0.4.tar.gz.1
[petro@Sulaco SOURCES]$ 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See link above.
+ All build dependencies are listed in BuildRequires.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code or permissible content.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ The packages includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages must be valid UTF-8

Don't forget to add it to the list of GIS-related applications on the dedicated wiki-page.


APPROVED.

Comment 3 Fabian Affolter 2009-08-03 09:50:56 UTC
Thanks Peter for the review.

Comment 4 Fabian Affolter 2009-08-03 09:52:42 UTC
New Package CVS Request
=======================
Package Name: vifir
Short Description: A viewer for electronic aviation charts
units
Owners: fab
Branches: F-10 F-11
InitialCC:

Comment 5 Jason Tibbitts 2009-08-03 21:25:42 UTC
CVS done.

Comment 6 Fedora Update System 2009-08-04 16:39:20 UTC
vifir-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vifir-0.4-1.fc11

Comment 7 Fedora Update System 2009-08-04 16:39:25 UTC
vifir-0.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vifir-0.4-1.fc10

Comment 8 Fedora Update System 2009-08-05 00:34:25 UTC
vifir-0.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vifir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8277

Comment 9 Fedora Update System 2009-08-05 00:38:19 UTC
vifir-0.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vifir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8287

Comment 10 Fedora Update System 2009-08-15 08:09:21 UTC
vifir-0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-08-15 08:27:55 UTC
vifir-0.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.